# Replace Reply Tags

{% hint style="warning" %}
All API requests should contain [authorization headers](https://developers.socialboards.com/docs/apis/tickets/authorization-headers).
{% endhint %}

#### Request

```
PUT /tickets/{ticketId}/replies/{replyId}/tags
```

#### Query Parameters

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="100">Required</th><th>Comments</th></tr></thead><tbody><tr><td>ticketId</td><td>integer</td><td>yes</td><td>Id of ticket you want to replace tags</td></tr><tr><td>replyId</td><td>integer</td><td>yes</td><td>Id of reply you want to replace tags</td></tr></tbody></table>

#### Request Body

Body of request should contain the following array of [Tag](https://developers.socialboards.com/docs/apis/tickets/reference/objects/tag) models serialized to JSON.

```json
[
    {
        "id": 1386,
        "text": "Email"
    },
    {
        "id": 1387,
        "text": "Important"
    }
]
```

#### Response

```json
{
  "data": {},
  "errorCode": -1,
  "errorText": null
}
```
